<div class="app-container">
  <mat-toolbar class="app-header">
    <span class="title">
      <mat-icon aria-hidden="false" aria-label="movie icon">rate_review</mat-icon>
      <a [routerLink]="['/films']" class="btn btn-primary">Film Reviews</a>
    </span>
    <span class="search">
      <div *ngIf="options.length">
        <form class="form">
          <mat-form-field class="search-field">
                 <input type="text"
                        placeholder="Search Movies"
                        matInput
                        [formControl]="myControl"
                        [matAutocomplete]="auto">
            <mat-autocomplete #auto="matAutocomplete" [displayWith]="displayFn" (optionSelected)="onMovieSelected($event)">
              <mat-option *ngFor="let option of filteredOptions" [value]="option">
                {{option.title}}
              </mat-option>
            </mat-autocomplete>
          </mat-form-field>
        </form>
      </div>
    </span>
  </mat-toolbar>
  <div class="app-main">
    <router-outlet></router-outlet>
  </div>
  <div class="app-footer">
    <span>version 1.0</span>
    <span>2020</span>
  </div>
</div>
